﻿using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RibbonStyle
{
    public partial class Form1 : RibbonForm
    {

        bool isPopupVisible = false;
        #region Constructor
        public Form1()
        {
            InitializeComponent();
            this.EnableAeroTheme = false;
            this.toolStripComboBoxEx1.SelectedIndex = 0;
            this.toolStripComboBoxEx1.SelectedIndexChanged += toolStripComboBoxEx1_SelectedIndexChanged;
            this.ribbonControlAdv1.MenuButtonClick += ribbonControlAdv1_MenuButtonClick;
        }
        #endregion

        #region Events

        void ribbonControlAdv1_MenuButtonClick(object sender, EventArgs e)
        {
            // To load the PopUpContainer control into the Menu Button
            if (this.ribbonControlAdv1.RibbonStyle == Syncfusion.Windows.Forms.Tools.RibbonStyle.Office2010
                || this.ribbonControlAdv1.RibbonStyle == Syncfusion.Windows.Forms.Tools.RibbonStyle.Office2013)
            {
                if (!isPopupVisible)
                {
                    if (sender is ToolStripDropDownButton)
                    {
                        isPopupVisible = true;
                        Point pt = this.RectangleToScreen((sender as ToolStripDropDownButton).Bounds).Location;
                        this.popupControlContainer1.ShowPopup(new Point((int)(pt.X), (int)(pt.Y + (sender as ToolStripDropDownButton).Bounds.Height)));
                    }
                }
                else
                {
                    isPopupVisible = false;
                    this.popupControlContainer1.HidePopup();
                }
            }
        }

        void toolStripComboBoxEx1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if(this.toolStripComboBoxEx1.Text == "Office2007")
            {
                this.ribbonControlAdv1.MenuButtonText = "";
                this.ribbonControlAdv1.RibbonStyle = Syncfusion.Windows.Forms.Tools.RibbonStyle.Office2007;
            }
            else if(this.toolStripComboBoxEx1.Text == "Office2010")
            {
                this.ribbonControlAdv1.MenuButtonText = "File";
                this.ribbonControlAdv1.RibbonStyle = Syncfusion.Windows.Forms.Tools.RibbonStyle.Office2010;
            }
            else if (this.toolStripComboBoxEx1.Text == "Office2013")
            {
                this.ribbonControlAdv1.MenuButtonText = "File";
                this.ribbonControlAdv1.RibbonStyle = Syncfusion.Windows.Forms.Tools.RibbonStyle.Office2013;
            }
        }
        #endregion
    }
}
